spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_admin?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x

  redis: 
      database: 45
      host: redis-1.itax.local
      port: 38000
      password: q92RBG89bbVdn^2k
      lettuce: 
        pool:
          max-idle: 500 # 最大空闲连接
          min-idle: 5 # 最小空闲链接
          max-active: 1000  # 最大连接数（负数表示没有限制）
          max-wait: -1 # 最大阻塞等待时间（负数表示没有限制）
      timeout: 6000  #连接超时时间
  rabbitmq:
      host: rabbitmq-1.itax.local
      port:  35000
      username: admin
      password: Invoice!.rabbitm1
  sleuth:
      enabled: true
      http:
        legacy:
          enabled: true
            
            
##多数据源的配置，
dynamic:
  datasource:
    basics_basics_read:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_admin?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    basics_basics_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_admin?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
      
logging:
  level:
    com.dxhy.admin: DEBUG
  file:
    path: /data/logs/dxhy-admin/
    name: ${logging.file.path}dxhy-admin

#eureka:
#  instance:
#    preferIpAddress: true
#    statusPageUrlPath: ${server.servlet.context-path}/info
#    healthCheckUrlPath: ${server.servlet.context-path}/health
#    leaseRenewalIntervalInSeconds: 30
#    leaseExpirationDurationInSeconds: 90
#    instance-id: ${spring.application.name}:${spring.cloud.client.ipaddress}:${server.port}
#  client:
#    serviceUrl:
#      defaultZone: http://dxhy-center-1.itax.local:18092/eureka/

data: 
  initialSize: 10
  maxActive: 150
  minIdle: -1
  maxWait: 60000
  timeBetweenEvictionRunsMillis: 60000
  minEvictableIdleTimeMillis: 3000000
  maxEvictableIdleTimeMillis: 18000000
  validationQuery: SELECT 1 FROM DUAL
  validationQueryTimeout: -1
  testOnBorrow: false
  testOnReturn: false
  testWhileIdle: true
  poolPreparedStatements: false
  maxOpenPreparedStatements: -1
  sharePreparedStatements: false          

#mybatis
mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.dxhy.admin.*.entity
  global-config:
    #数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID", ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: ASSIGN_ID
      #字段策略 IGNORED:"忽略判断",NOT_NULL:"非 NULL 判断"),NOT_EMPTY:"非空判断"
      field-strategy: NOT_NULL
      #驼峰下划线转换
      column-underline: true
      logic-delete-value: -1
      logic-not-delete-value: 0
    banner: false
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'


# 必须配置
feign:
  httpclient:
    enabled: false
  okhttp:
    enabled: true

#ribbon:
#  eureka:
#    enabled: true
#  ReadTimeout: 1000000
#  ConnectTimeout: 1000000
#  MaxAutoRetries: 0
#  MaxAutoRetriesNextServer: 1
#  OkToRetryOnAllOperations: false
#  listofservers: http://dxhy-center-1.itax.local:18092

hystrix:
  threadpool:
    default:
      coreSize: 1000 ##并发执行的最大线程数，默认10
      maxQueueSize: 1000 ##BlockingQueue的最大队列数
      queueSizeRejectionThreshold: 500 ##即使maxQueueSize没有达到，达到queueSizeRejectionThreshold该值后，请求也会被拒绝
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 110000

jwt:
  token-header: Authorization
  expire: 144000
  rsa-secret: xx1WET12^%3^(WE45

client:
  id: dxhy-admin
  secret: 123456
  token-header: x-client-token
  expire: 144000
  rsa-secret: x2318^^(*WRYQWR(QW&T



#webscoket 请求地址
webscoket:
  url: ws://dxhy-operation-flow-1.itax.local:18094/websocket/

dxhy:
  sso:
    open: false
    server: http://itax-pre.ele-cloud.com:10000/itax-sso
    logout:
      path: /logout
    excluded:
      paths: "/dxhy-admin/api/**,/api/**,/admin/**,/sys/**,/client/**,/**"
    #    redis:
    #      password: redis-dev
    #      address: redis://10.1.1.232:6379
    #      expireminite: 120
    redirect_url: http://itax-pre.ele-cloud.com:10000/itax-sso/login?redirect_url=http://itax-pre.ele-cloud.com:10000/itax-base/frame.html#/home
dxhy-sso:
  excluded:
    paths: /dxhy-admin/api/**,/api/**,/admin/**,/sys/**,/**

# 大B兼容  集团编码
dept:
  company: BIGB
  # 是否升级企业 0--未升级  1--已升级
  upgradeStatus: 1
  # 是否查验 0--不 查验  1--查验
  checkStatus: 0
  # 是否采集状态  0 -- 不采集  1--采集
  cjStatus: 0
  # 签收认证状态 0 -- 不签收直接认证  1--签收后才可以认证
  qsStatus: 0
  aceKey: c2VjcmV0X2tleXlvbmdodWljZXNoaQ==
  aceId: YXBwX3NlY0lkeW9uZ2h1aWNlc2hp
  queryRoleUrl: http://itax-pre.ele-cloud.com:10000/itax-base-api/api/role/queryRoleInfo
  queryUserUrl: http://itax-pre.ele-cloud.com:10000/itax-base-api/api/user/queryUserInfo
token:
  expore: 36000

rabbitmq:
  prefetchCount: 2  # 个消费者可以fetch的最大消息数量
  concurrentConsumers: 2 # 设置并发消费者数量
  maxConcurrentConsumers: 10 # 设置最大消费者数量，自动扩展消费者数量关键配置


TO_EXCEL_APPLY: YF_TO_EXCEL_APPLY
TO_INVOICE_LOG: YF_TO_INVOICE_LOG
TO_INVOICE_STATUS: YF_TO_INVOICE_STATUS
TO_MESSAGE_LOG: YF_TO_MESSAGE_LOG
TO_MSG_EXCEL_APPLY: YF_TO_MSG_EXCEL_APPLY
TO_CUSTOMS_LOG: YF_TO_CUSTOMS_LOG

gyl:
  itaxDept: http://itax-pre.ele-cloud.com:10000/itax-base-api/api/user/syncDeptInfo
  itaxUser: http://itax-pre.ele-cloud.com:10000/itax-base-api/api/user/syncUserInfo
  itaxSwitch: 2 #1开启   2关闭
  parentId: 958

yb:
  saaskey: dxhy

#配置文件加密
jasypt:
  encryptor:
    password: dxhy

## 配置swagger
swagger:
  enabled: true
  base-package: com.dxhy.admin
  title: dxhy-admin
  version: 3.0
  description: 管理后端服务
  contact:
    name: admin
